The myAVR Workpad - Instruction

The myAVR Workpad serves the effectives and simple programming of the myAVR Boards as well as to testing and running the written microcontrollerprograms.

This document is an overview and explanation of function from each element of myAVR Workpads.

The myAVR Workpad is available in many versions with many functionality:
SE | Basic version to assemblerprogramming of myAVR Boards
PLUS | Version with extention configuration's possibility and support for C/C++

You can purchase the needed hardware (myAVR Board, extention platine inclusive accessory) and myAVR Lehrbuch Mikrocontroller-Programmierung (myAVR Microcontroller-Programming Textbook) on www.myavr.de.

Contents

  • Assembling of programms
  • Features
    • Code wizard
    • Assistant
    • Help
    • Jump code
    • File format and source code type
    • Automatic source code format
    • Bookmark
    • Options in header program
    • Hardware
    • Burn
    • Fuse- und Lock-Bits
    • Settings
    • Test
    • Print
  • License and update
  • myAVR Workpad quickstart
  • Keyboard's operation
    • Keyboard function in main window
    • Keyboard function in print preview

The myAVR Workpad is a texteditor.
Main window

to table of Contents

Features

Code-wizard

The myAVR Code-Wizard is an assistant from Assembler- und C-Codes for the configuration and application development of AVR Microcontrollers. Thereby, with the assistant, the user chooses step by step the wished configuration and program components in the dialog. Code-Wizard generate the capable compilation source code in the wished program language (AVR assembler or AVR C) which would be loaded as a complete application. The developer just need to complete the project specification individually. The whole program frame in main program's form, finished initialize sequence, subprogram and routines interrupt would be generated by Code-wizard.

The generate source code is not completely shown in the DEMO-Version but the efficiency of myAVR Code-Wizard.

to table of Contents

Assistant

The assistant shows you numerous examples and how to disposal program models. Besides, it also contents the program module for frequently used function.
You should take attention to the subprogram in your myAVR Workpad , it should not be double inserted when you adding this program modul in your source code.

Template filter

You can choose the template and subprogram for differently controller type and program language with this both filter.

to table of Contents

Help

There is a tooltip to help in all instruction of the assembler and reference's command. The actuall command could be opened by CTRL+click.
Workpad help

CTRL+click (on the command) -> Help

to table of Contents

Jump code

The goal of a jumpcode would be showed by blue line. Beside that, a tooltipp from the comment of subprogram/jumpcode would be formed. You can follow the jump program by clicking CTRL+click.
Tooltipp and jump emphasis

CTRL+click (on the jumpcode) -> follow the jumpcode

to table of contents

File format and source code type

The myAVR Workpad gives you possibility to make a programming of AVR-Mikrocontroller in assembler or C/C++. There are various source code type (language dialect) that would be supported:

  • GNU Assembler (*.s)
  • ATMEL Assembler (*.asm)
  • WinAVR C (*.c)
  • myAVR C/C++ Dialect (*.cc)

You should install the AVR Studio from Atmel before you make a translation from Atmel assembler file.
Please go to Extras/Einstellungen (setting) -> Program einstellen (Program setting). To translate program with an actual winAVR-Version, please see Settings.

to table of contents

Bookmark

You can saving the position in source code with the help of bookmark. You can add the new bookmark with CTRL+F2. You can also delete the previous bookmark with the same combination. The Cursor position in the line and also scroll position of source code windows would also be saved.
You can jump to the next or previous bookmark with the key F2 and Shift+F2.
The key combination CTRL+shift+F2 will delete all previous bookmark.

This function also available on menu Bearbeiten (Edit) and on Context menu.

F2 -> next Bookmark
Shift+F2 -> previous Bookmark
CTRL+F2 -> Bookmark on/off
CTRL+Shift+F2 -> delete all Bookmark

to table of contents

Automatic source code format

of this disorder source code
Unsorted source code
a clear formatted source code would be appear by loading the file or by choosing the menu Bearbeiten (edit)->Quellcode ausrichten (source code alignment).
Formatted source code

CTRL+shift+A -> alignment the source codes

to table of contents

Options in header program

The comment-block in the beginning of a program can contain options for the translating and burning procedure. This options are usually overwritte the settings in the program (Extras/Einstellungen).

;------------------------------------------------------------
; Title             : myAVR Basic Structure for ATmega8
;------------------------------------------------------------
; Function          : ...
; Switching      : PortD2=Button1;D.3=T2;B0=LEDRED,
;                     PORTB.1=LEDYELLOW,B2=LED3,C0=Speaker
;------------------------------------------------------------
; Processor      : ATmega8
; Port           : COM3
; Programmer     : mySmartUSB
; Stroke            : 3,6864 MHz
; Language          : Assembler
; Date              : ...
; Version           : ...
; Author            : ...
; EEPROM         : eeprom_test.eep
; Fuses          : lfuse=0b11111101, hfuse=0xD9, lock=0x3f
; CompilerOption :
; LinkerOption   :
;------------------------------------------------------------

Options possibility:

  • Switching: visualize the wiring in control center
  • Processor: set the controller type for the translation und burning
  • Programmer: decide the program type for burning
  • Port: select the port for burning
  • EEPROM: refer to a file which loaded in the EEPROM
  • Fuses: set the burning Fuse- and Lock-Bit for this source code

to table of contents

Hardware

  • mySmartUSB / myAVR Board 2 USB / myMultiProg USB:
    • USB-device must be installed (CP210X)
    • The mySmartUSB must be connected
    • Virtual COM-Port (COMx) must be activated
    • Port-setting is not necessary, the programer will be found automatically
    • Aim-hardware will be supplied with voltage from mySmartUSB
  • mySmartControl:
    • USB-device must be installed (CP210X)
    • The mySmartUSB must be connected
    • Power supply is supplied from USB-connection
    • Virtual COM-Port (COMx) must be activated
    • Port-setting is not necessary, the mySmartControl will be found automatically
  • myAVR Board 1 LPT / myMultiProg LPT:
    • LPT-cable must be connected
    • Board must be connected
    • You must probably write the correct power supply of LPT-Port in coloum "Anschluss:" (connection)
    • Connection will not be automatically determined
  • JTAG ICE mk-II:
    • LIB-USB-Device must be installed
    • JTAG ICE mk-II must be connected
    • Power supply of the hardware's destination should be on
    • The correct USB-Port-Number must be wrote in coloum "Anschluss:" (connection)
    • Connection can be checked per "?"
  • STK 500:
    • Board must be connected on a COM-Port
    • External power supply must be connected
    • Board must be on (Power)
    • ISP-Pin must be connected
    • The correct COM-Port must be wrote in coloum "Anschluss:" (connection)
    • Connection will not be automatically determined
  • AVR ISP mk-II:
    • LIB-USB-Device must be connected
    • AVR ISP mk-II must be connected
    • Power supply of the aim-hardware must be on
    • The correct USB-Port-Number must be wrote in coloum "Anschluss:" (connection)
    • Connection can be checked per "?"
  • AVR Dragon:
    • LIB-USB-device must be connected
    • AVR Dragon must be connected
    • Power supply of the aim-hardware must be on
    • The correct USB-Port-Number must be wrote in coloum "Anschluss:" (connection)
    • Connection can be checked per "?"

Please note, LIB-USB-Device will not be working under 64Bit-Windows-Version.

You can find the actual devices and manual installation for the mySmartUSB, mySmartControl as well as the LIB-USB-device in download area from www.myavr.de/download/.

to table of contents

Burn

The source code will be compiled, linked and burned Burn button Just by pressing the button "Brennen" (Burn).

The finished HEX-files can also be loaded and burn directly with myAVR Workpad .

to table of contents

Fuse- und Lock-Bits

The myAVR Workpad support the readout and set the Fuse- und Lock-Bits from AVR-Controllers. Thereby the differ of the Workpad-version SE und PLUS is by the amount of supporting's controller. On the myAVR Workpad SE, the pin compatible Controller of myAVR Boards is limited .
Please make sure that target system is connected and ready to use if you want to start the Fuse- and Lock-Bit-Assistant. It must be surely that the target hardware in Extras / Einstellungen (setting) is already correct configurated.

You can reach the assistant for the Fuse- und Lock-Bits on the menu point Extras/Fuse- and Lock-Bits or through the push button Button Fuse/Lock.

In following you can see the structure of the fuse- und Lock-Bit-Assistants.
Please note,the wrong set up of Fuse- and Lock-Bits-Setting can destroy the controller.
Fuse- und Lock-Bits

Please note, by reading the Fuse- und Lock-Bits, you should use the Microcontroller which mentioned in Program code.

to table of contents

Settings

There are numerous program setting that can be adjusted in window option.
Options
Options

to table of contents

Test

You can test your program after it burned.
test
UART connection with it's values will be built on your board if you activate the check box "serielle Verbindung" (serial connection). Then you can send text or number to your board. The returned values can be considered as text, numerical values as well as in Oscillator.

to table of contents

Print

You can print your source code colorfull, with or without line numbers.
print preview

to table of contents

License und Update

myAVR Workpad is a license-obliged Software. For the licensing, please follow these steps:

  1. Choose button "Lizenz" (licence) license buton from the workpad menu and your program number would be shown.
  2. Go to www.myAVR.de and click on "Kontakt/Service" to request your Freischaltcode (activation code)
  3. Then click on "hier online" by "Anforderung Ihres Freischaltcode"(Request your activation code)

    4. request activation code
  4. Please type your "Vorname" (First name), "Nachname" (Surname), the program number of your workpad and then click "absenden" (send).

  5. Please complete your personal information on the field and then click "absenden" (send). Make sure you type the right post code and email address. The activation code will be sent to the email address you typed.

  6. Go back to your Workpad's lizenz (license) and enter the name and the activation code you got by email to the "myAVR Workpad Freischalten" (myAVR Workpad activating)

You can get the update of your Workpad-Version for free. Please use the menu point Extras/verifying for updates...
You can get an upgrade of the higher Workpad-Variant in Online-Shop from myAVR.

to table of contents

myAVR Workpad quickstart

myAVR myAVR Workpad quickstart_pdf

Keyboard's operation

Keyboard layout in Main window

Keys | Function
F5 | Source code compile, link und burn; following with test
F6 | Start/Stop in test window
F7 | Show/remove the test window
CTRL+F5 | Source code compile,linken und burn
CTRL+F | Search text
CTRL+H | Text substitute
F3 | Find more, Cursor downward
Shift+F3 | Find more, Cursor upward
CTRL+Shift+F3 | Find more, the beggining of file
F1 | Show help
Shift+F1 | Show assembler help
CTRL+F1 | show help to board
CTRL+P | Open print preview
CTRL+N | Open new sourcedata
CTRL+O | Search and open a source code data
CTRL+S | Save the actuall source code data
Alt+F4 | Close the program
Esc | Close the output window
Shift+CTRL+A | Source code alignment
CTRL+K | Turn on comment for the actuall line / marked block
F2 | Call the next bookmark
Shift+F2 | Call the preivous bookmark
CTRL+F2 | Turn on / off bookmark for the actual line
CTRL+Shift+F2 | Delete all bookmark

to table of contents

Keyboard layout in the print preview

Keys | Function
CTRL+P | Print, open printer setting
ESC | Close the print preview
G | Show the whole page
B | Show the full widht of page
space | Show the real size page (Zoom 100%)
+ | Make display bigger
- | Make display smaller
Arrow keys | Scroll outlook
page up | Change to the next page
page down | Change to the previous page
Home | Change to the first page
End | Change to the last page
F | Turn on the printer, color or black/white
Z | Turn on/off line number

to table of contents